%define		_class		SOAP
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null)

%global __requires_exclude pear\\(SOAP/test/test.utility.php\\)
%global __requires_exclude_from ^%{_docdir}

Name:		php-pear-%{upstream_name}
Version:	0.13.0
Release:	%mkrel 8
Summary:	Client/Server for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/SOAP/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-bcmath
Requires:	php-pear-HTTP_Request
Requires:	php-pear-Net_URL
Requires:	php-pear-Net_DIME
BuildArch:	noarch
BuildRequires:	php-pear

%description
Implementation of SOAP protocol and services.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/example
%{_datadir}/pear/%{_class}
%{peardir}/tools/genproxy.php
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.13.0-8.mga6
+ Revision: 964792
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-7.mga5
+ Revision: 739366
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.13.0-6.mga5
+ Revision: 736445
- add excludes

* Wed Oct 01 2014 tv <tv> 0.13.0-5.mga5
+ Revision: 734172
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-4.mga5
+ Revision: 687448
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 517217
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 377227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 0.13.0-1.mga3
+ Revision: 275887
- upgrade to 0.13.0

* Fri Jan 21 2011 spuhler <spuhler> 0.12.0-5.mga1
+ Revision: 28009
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-SOAP

